Get Data Elements

GET /ws/rest/service/v1/ds/data-elements

Version: 20.10

Purpose

To get list of custom data elements

Request Format

All parameters must be URL encoded.

Path Parameter

filter = {

"data_element": "",

"data_definition": "Decimal Amount" ,

"form_label": "" ,

"description": "" ,

"tooltip": ""

}

Note:

  • All field values in the filter object are case insensitive.
  • If filter object is not provided in the request, all data elements list are returned.
  • Condition type contains will be used to fetch the data elements.
  • Filter condition is applied only if the provided filter values are not-null or non-empty.

Response Format

A JSON object is returned in the following format:

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Success Response

This is an example of a successful response with a status code 200.

{

"data": [

{

"data_element": "sampleDE",

"data_definition": "Decimal Amount",

"form_label": "Sample Decimal Element",

"description": "Test DE",

"tooltip": null,

"decimal_format": "5",

"Pre-Defined Category": null

},

{

"data_element": "sampleDE2",

"data_definition": "Decimal Amount",

"form_label": "Sample Decimal Element 2",

"description": "Decimal DE",

"tooltip": null,

"decimal_format": "6",

"Pre-Defined Category": null

},

],

"message": ["success"],

"status": 200

}